import 'package:get/get.dart';
import 'package:flutter/material.dart';
import 'package:mypoint_flutter_app/configs/constants.dart';
import 'package:mypoint_flutter_app/networking/restful_api_request.dart';
import '../../base/base_response_model.dart';
import '../../base/restful_api_viewmodel.dart';
import 'model/campaign_detail_model.dart';

class CampaignDetailViewModel extends RestfulApiViewModel {
  var campaignDetail = BaseResponseModel<CampaignDetailResponseModel>().obs;
  var isLoading = false.obs;
  var errorMessage = "".obs;

  void fetchCampaignDetail() {
    showLoading();
    isLoading(true);
    client.websitePageGetDetail("").then((value) {
      campaignDetail.value = value;
      if (!value.isSuccess) {
        errorMessage.value = value.errorMessage ?? Constants.commonError;
      }
      hideLoading();
      isLoading(false);
    });
  }
}
